org.apache.ignite.internal.util

## Class GridLeanSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - org.apache.ignite.internal.util.GridSerializableSet<E>
      - - org.apache.ignite.internal.util.GridSetWrapper<E>
        - - org.apache.ignite.internal.util.GridLeanSet<E>

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<E>, Collection<E>, Set<E>

    public class GridLeanSet<E>
    extends GridSetWrapper<E>
    implements Cloneable

Lean set implementation. Internally this set is based on `GridLeanMap`.

See Also:
  `GridLeanMap`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.GridSetWrapper

`map, VAL`

### Constructor Summary

Constructors
Constructor and Description
`GridLeanSet()` Creates a new, empty set with a default initial capacity, load factor, and concurrencyLevel.
`GridLeanSet(Collection<E> c)` Deprecated.
`GridLeanSet(int size)` Constructs lean set with initial size.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.GridSetWrapper

`add, clear, contains, defaultValue, isEmpty, iterator, map, remove, size, toArray, toArray`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, containsAll, retainAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`addAll, containsAll, retainAll, spliterator`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### GridLeanSet

    public GridLeanSet()

Creates a new, empty set with a default initial capacity, load factor, and concurrencyLevel.

#### GridLeanSet

    public GridLeanSet(int size)

Constructs lean set with initial size.

Parameters:
  `size` - Initial size.

#### GridLeanSet

    @Deprecated
    public GridLeanSet(Collection<E> c)

Deprecated.
Creates a new set with the same elements as the given collection. The collection is created with a capacity of twice the number of mappings in the given map or 11 (whichever is greater), and a default load factor and concurrencyLevel.

Parameters:
  `c` - Collection to add.

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridSetWrapper<E>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018